{"openapi":"3.0.1","info":{"title":"auth-service","description":"API Documentation for the auth-service","license":{"name":"GNU Lesser General Public License","url":"http://www.gnu.org/licenses/lgpl-3.0.en.html"},"version":"v3"},"servers":[{"url":"http://172.18.0.2:3333","description":"Generated server url"}],"paths":{"/rest/users/{emailAddress}":{"get":{"tags":["user-controller"],"operationId":"get","parameters":[{"name":"emailAddress","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"cancelled":{"type":"boolean"},"done":{"type":"boolean"}}}},"text/msp":{"schema":{"type":"object","properties":{"cancelled":{"type":"boolean"},"done":{"type":"boolean"}}}},"text/sdf":{"schema":{"type":"object","properties":{"cancelled":{"type":"boolean"},"done":{"type":"boolean"}}}},"image/png":{"schema":{"type":"object","properties":{"cancelled":{"type":"boolean"},"done":{"type":"boolean"}}}}}}}},"put":{"tags":["user-controller"],"operationId":"put","parameters":[{"name":"emailAddress","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","properties":{"cancelled":{"type":"boolean"},"done":{"type":"boolean"}}}}}}}},"delete":{"tags":["user-controller"],"operationId":"delete","parameters":[{"name":"emailAddress","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/rest/users":{"get":{"tags":["user-controller"],"operationId":"list","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"cancelled":{"type":"boolean"},"done":{"type":"boolean"}}}},"text/msp":{"schema":{"type":"object","properties":{"cancelled":{"type":"boolean"},"done":{"type":"boolean"}}}},"text/sdf":{"schema":{"type":"object","properties":{"cancelled":{"type":"boolean"},"done":{"type":"boolean"}}}},"image/png":{"schema":{"type":"object","properties":{"cancelled":{"type":"boolean"},"done":{"type":"boolean"}}}}}}}},"post":{"tags":["user-controller"],"operationId":"save","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","properties":{"cancelled":{"type":"boolean"},"done":{"type":"boolean"}}}}}}}}},"/rest/auth/login":{"post":{"tags":["login-controller"],"operationId":"login","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LoginResponse"}}}}}}},"/rest/auth/info":{"post":{"tags":["login-controller"],"operationId":"tokenInfo","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginResponse"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LoginInfo"}}}}}}},"/rest/auth/extend":{"post":{"tags":["login-controller"],"operationId":"extendToken","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginResponse"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LoginResponse"}}}}}}},"/rest/users/count":{"get":{"tags":["user-controller"],"operationId":"searchCount","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","properties":{"cancelled":{"type":"boolean"},"done":{"type":"boolean"}}}}}}}}}},"components":{"schemas":{"Roles":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"Users":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"emailAddress":{"type":"string"},"password":{"type":"string"},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Roles"}}}},"LoginRequest":{"type":"object"},"LoginResponse":{"type":"object"},"LoginInfo":{"type":"object"}}}}